TLS Version Configuration for AMP

  • 20 Views
  • Last Post 6 days ago
  • Topic Is Solved
zimbeo posted this 6 days ago

Hi,

I am using AMP Release "Triton" v2.3.0.6 on an Ubuntu 18.04 server. Is there a way to manually configure the TLS versions that HTTPS supports?

I have attempted to manually configure the TLS versions available by both the /etc/nginx/nginx.conf file along with the server block in /etc/nginx/conf.d/ directory specific to our AMP instance with the traditional sslprotocols directive that NGINX uses. http://nginx.org/en/docs/http/ngxhttpsslmodule.html#ssl_protocols

This has not worked and port 443 seems to still support TLSv1.0, 1.1, and 1.2. I also inspected the /home/amp/.ampdata/instances/ADS01/AMPConfig.conf file for any settings that might indicate changing the TLS versions but could not find anything. I'm sure I'm missing something simple here that may be causing the issue.

Is there a way to manually configure which TLS versions AMP supports?

Order By: Standard | Newest | Votes
Mike posted this 6 days ago

This isn't anything to do with AMP. Have you restarted the nginx service after making the changes?

zimbeo posted this 6 days ago

Yes. I was unsure if it was handled inside of AMP somehow since how I'd normally do it did not work. I'll focus more on the NGINX side and get things fixed up. Thanks for the response.

Close